Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Poppler blockers, must unmerge poppler to fix [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5263

PostPosted: Mon May 11, 2009 12:30 am    Post subject: Poppler blockers, must unmerge poppler to fix [SOLVED] Reply with quote

A bunch of poppler and wireless-related blocks. Any idea for a quick solution? I'd appreciate any advice! Skip to the end of this post and scroll backwards.

Code:

emerge -vuDN world

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] sys-libs/timezone-data-2009g [2009f] USE="nls" 175 kB
[ebuild     U ] dev-libs/gmp-4.3.0 [4.2.4] USE="-nocxx" 1,854 kB
[ebuild     U ] dev-util/gtk-doc-am-1.11 [1.10-r1] 443 kB
[ebuild     U ] net-misc/dhcpcd-4.0.13 [4.0.12] USE="compat zeroconf" 52 kB
[ebuild     U ] media-sound/alsa-headers-1.0.20 [1.0.19] 2,833 kB
[ebuild     U ] media-sound/wavpack-4.50.1-r1 [4.50.1] USE="mmx" 0 kB
[ebuild     U ] gnome-base/gnome-common-2.26.0 [2.24.0] USE="(-debug%)" 68 kB
[ebuild  N    ] sys-libs/libstdc++-v3-3.3.6  USE="nls (-multilib)" 0 kB
[ebuild     U ] media-libs/libpng-1.2.36 [1.2.35] 505 kB
[ebuild     U ] sys-kernel/linux-headers-2.6.29 [2.6.28-r1] 3,735 kB
[ebuild     U ] dev-java/java-config-wrapper-0.16 [0.15] 8 kB
[ebuild     U ] media-libs/schroedinger-1.0.7 [1.0.6] USE="-gstreamer" 858 kB
[ebuild     U ] media-libs/libcddb-1.3.2 [1.3.0-r1] USE="-doc" 345 kB
[ebuild     U ] media-libs/x264-0.0.20090502 [0.0.20081218] USE="threads -debug" 2,426 kB
[ebuild     U ] sys-power/acpid-1.0.10_p3 [1.0.6-r1] 83 kB
[ebuild     U ] media-libs/freetype-2.3.9-r1 [2.3.9] USE="X bindist -debug -doc -fontforge -utils" 0 kB
[ebuild     U ] media-fonts/vlgothic-20090422 [20090108] USE="X" 4,619 kB
[ebuild     U ] media-fonts/ja-ipafonts-003.01 [002.03] USE="X" 10,015 kB
[ebuild     U ] sys-apps/debianutils-3.1.3 [2.31] USE="-static" 130 kB
[ebuild  N    ] java-virtuals/jaf-1.1  0 kB
[ebuild     U ] perl-core/Test-Harness-3.17 [3.16] 206 kB
[ebuild     U ] dev-libs/libtasn1-2.1 [2.0] USE="-doc" 1,564 kB
[ebuild     U ] virtual/perl-Test-Harness-3.17 [3.16] 0 kB
[ebuild  N    ] virtual/perl-Compress-Raw-Bzip2-2.015  0 kB
[ebuild     U ] dev-db/sqlite-3.6.14 [3.6.13] USE="threadsafe -debug -doc -soundex -tcl" 2,827 kB
[ebuild     U ] dev-libs/libpcre-7.9-r1 [7.9] USE="bzip2 cxx (unicode) zlib -doc" 0 kB
[ebuild     U ] dev-lang/tcl-8.5.7 [8.4.19] USE="threads -debug" 4,319 kB
[ebuild     U ] sys-apps/usbutils-0.80 [0.73] USE="zlib -network-cron" 231 kB
[ebuild     U ] media-libs/libtheora-1.1_alpha1 [1.0] USE="encode -doc -examples" 1,527 kB
[ebuild     U ] media-libs/libmodplug-0.8.7 [0.8.4-r3] 508 kB
[ebuild     U ] media-sound/cdparanoia-3.10.2-r3 [3.10.2-r2] 5 kB
[ebuild  N    ] perl-core/IO-Compress-Bzip2-2.015  0 kB
[ebuild  N    ] virtual/perl-IO-Compress-Bzip2-2.015  0 kB
[ebuild  N    ] virtual/perl-IO-Zlib-1.09  0 kB
[ebuild     U ] perl-core/Archive-Tar-1.48 [1.38] USE="bzip2%*" 49 kB
[ebuild  N    ] virtual/perl-Archive-Tar-1.48  0 kB
[ebuild     U ] perl-core/Module-Build-0.33 [0.28.08] USE="(-test%)" 246 kB
[ebuild  N    ] virtual/perl-Module-Build-0.33  0 kB
[ebuild     UD] perl-core/File-Spec-3.29 [3.2701] 0 kB
[ebuild     UD] virtual/perl-File-Spec-3.29 [3.2701] 0 kB
[ebuild     U ] sys-apps/dbus-1.2.12 [1.2.3-r1] USE="X -debug -doc (-selinux) -test%" 1,538 kB
[ebuild     U ] dev-lang/tk-8.5.7 [8.4.19-r1] USE="threads truetype%* -debug" 3,692 kB
[ebuild     U ] x11-terms/xterm-243 [242] USE="truetype unicode -Xaw3d -toolbar" 854 kB
[ebuild   R   ] sys-devel/binutils-2.19.1-r1  USE="nls -gold% -multislot -multitarget -test -vanilla" 0 kB
[ebuild     U ] sys-apps/coreutils-7.4 [7.2] USE="acl nls -caps -gmp% (-selinux) -static -vanilla -xattr" 9,489 kB
[ebuild     U ] net-libs/libgsasl-1.1 [0.2.29] USE="nls -idn -kerberos" 903 kB
[ebuild     U ] x11-libs/libICE-1.0.5 [1.0.4] USE="ipv6 -debug" 258 kB
[ebuild     U ] net-libs/gnutls-2.6.6 [2.6.5] USE="bindist cxx guile lzo nls zlib -doc" 4,997 kB
[ebuild     U ] x11-libs/libXfont-1.4.0 [1.3.4] USE="ipv6 -debug" 401 kB
[ebuild     U ] x11-proto/randrproto-1.3.0 [1.2.2] 74 kB
[ebuild     U ] x11-libs/libdrm-2.4.9 [2.4.6] USE="-debug" 512 kB
[ebuild  NS   ] sys-kernel/gentoo-sources-2.6.29-r3 [2.6.28-r2, 2.6.28-r3, 2.6.28-r4, 2.6.29-r1] USE="-build -symlink" 78 kB
[ebuild     U ] x11-libs/libpciaccess-0.10.6 [0.10.5] USE="-debug -minimal" 262 kB
[ebuild     U ] x11-proto/dri2proto-2.0 [1.99.3] 50 kB
[ebuild     U ] x11-misc/xinput-1.4.2 [1.4.0] USE="-debug" 106 kB
[ebuild     U ] x11-libs/libXrandr-1.3.0 [1.2.3] USE="-debug" 257 kB
[ebuild     U ] www-client/lynx-2.8.7_rc2 [2.8.6-r3] USE="bzip2 gnutls%* ipv6 nls unicode -cjk -openssl% (-ssl%*)" LINGUAS="(-ja%)" 2,367 kB
[ebuild     U ] net-fs/openafs-kernel-1.4.9 [1.4.8-r1] 0 kB
[ebuild     U ] sys-apps/util-linux-2.15 [2.14.2] USE="crypt nls unicode -loop-aes -old-linux (-selinux) -slang (-uclibc)" 9,946 kB
[ebuild     U ] dev-libs/libprelude-0.9.22 [0.9.21.3] USE="perl python -doc -swig" 2,612 kB
[ebuild     U ] x11-libs/startup-notification-0.10 [0.9] 322 kB
[ebuild     U ] net-analyzer/snort-2.8.4.1 [2.6.1.4-r1] USE="ipv6%* prelude threads%* -aruba% -debug% -decoder-preprocessor-rules% -dynamicplugin -flexresp -flexresp2 -gre -inline -inline-init-failopen% -linux-smp-stats -memory-cleanup% -mpls% -mysql -odbc -perfprofiling -postgres -ppm% -react (-selinux) -static% -targetbased% -timestats (-sguil%) (-snortsam%)" 4,461 kB
[ebuild     U ] x11-apps/xrandr-1.3.0 [1.2.3] USE="-debug" 126 kB
[ebuild     U ] app-text/texlive-core-2008-r5 [2008-r4] USE="X tk -doc -source" 28 kB
[ebuild     U ] sys-apps/openrc-0.4.3-r2 [0.4.3-r1] USE="ncurses pam unicode -debug" 0 kB
[ebuild     U ] net-fs/openafs-1.4.9 [1.4.8-r1] USE="pam -debug -doc -kerberos" 0 kB
[ebuild  N    ] net-dialup/ppp-2.4.4-r22  USE="atm dhcp ipv6 pam -activefilter -eap-tls -gtk -mppe-mppc -radius" 758 kB
[ebuild     U ] net-fs/autofs-5.0.4-r3 [5.0.4-r2] USE="ldap -sasl" 420 kB
[ebuild     U ] app-admin/eselect-1.0.12 [1.0.11-r2] USE="bash-completion -doc (-vim-syntax%)" 143 kB
[ebuild     U ] dev-lang/python-2.6.2 [2.6.1-r1] USE="berkdb gdbm ipv6 ncurses readline ssl threads tk xml -build -doc -examples -sqlite -ucs2 -wininst" 10,905 kB
[ebuild     U ] dev-lang/ruby-1.8.7_p160 [1.8.7_p72-r11] USE="berkdb gdbm ipv6 ssl threads tk -debug -doc -emacs -examples -rubytests -socks5 -xemacs" 4,041 kB
[ebuild     U ] dev-libs/libxml2-2.7.3-r1 [2.7.3] USE="ipv6 python readline -debug -doc -examples -test" 0 kB
[ebuild     U ] media-libs/alsa-lib-1.0.20 [1.0.19] USE="midi python -alisp -debug -doc" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" 777 kB
[ebuild     U ] sys-apps/file-5.03 [5.00-r2] USE="python" 602 kB
[ebuild     U ] dev-python/pycairo-1.8.4 [1.8.2] USE="-examples" 509 kB
[ebuild     U ] app-portage/gentoolkit-0.3.0_rc5 [0.2.4.2-r1] 97 kB
[ebuild     U ] dev-ruby/rcairo-1.8.0-r1 [1.8.0] USE="svg%* (-doc%)" 272 kB
[ebuild     U ] dev-ruby/rubygems-1.3.3 [1.3.1] USE="-doc -server" 286 kB
[ebuild   R   ] media-libs/libsndfile-1.0.19  USE="alsa -jack% -minimal -sqlite" 0 kB
[ebuild     U ] dev-libs/xmlrpc-c-1.18.02 [1.16.06-r1] USE="cgi%* curl cxx threads%* -abyss% -tools%" 540 kB
[ebuild     U ] dev-java/simplyhtml-0.12.5 [0.12.3] USE="-doc -source" 0 kB
[ebuild     U ] dev-java/xsd2jibx-0.2a_beta-r1 [0.2a_beta] USE="-doc -source" 0 kB
[ebuild     U ] dev-java/sun-javamail-1.4.2 [1.4.1] USE="-doc -source" 1,083 kB
[ebuild     U ] app-text/poppler-0.10.5-r1 [0.10.5] USE="-doc" 0 kB
[ebuild     U ] media-sound/alsa-utils-1.0.20 [1.0.19-r2] USE="midi nls -doc -minimal" 1,021 kB
[ebuild     U ] media-sound/lame-3.98.2-r1 [3.98.2] USE="mmx mp3rtp sndfile -debug" 0 kB
[ebuild     U ] app-text/gnome-doc-utils-0.16.1 [0.14.2] USE="-debug" 612 kB
[ebuild     U ] x11-misc/icon-naming-utils-0.8.90 [0.8.7] 69 kB
[ebuild     U ] x11-themes/gnome-icon-theme-2.26.0 [2.24.0] 3,376 kB
[ebuild     U ] app-misc/freemind-0.9.0_rc3 [0.9.0_rc1] USE="latex pdf svg -doc -groovy" 0 kB
[ebuild     U ] media-libs/mesa-7.4.1-r2 [7.4] USE="xcb -debug -doc -motif -nptl -pic" VIDEO_CARDS="intel -mach64 -mga -none -r128 -radeon -radeonhd% -s3virge -savage -sis (-sunffb) -tdfx -trident -via" 3,303 kB
[ebuild     U ] x11-libs/fltk-2.0_pre6786 [2.0_pre6671] USE="cairo jpeg opengl png xft xinerama zlib -debug -doc" 2,469 kB
[ebuild     U ] media-sound/alsa-tools-1.0.20 [1.0.19] USE="fltk midi -gtk" ALSA_CARDS="emu10k1 emu10k1x -darla20 -darla24 -echo3g -gina20 -gina24 -hdsp -hdspm -ice1712 -indigo -indigoio -layla20 -layla24 -mia -mixart -mona -pcxhr -rme32 -rme96 -sb16 -sbawe -sscape -usb-usx2y -vx222" 1,520 kB
[ebuild     U ] x11-apps/mesa-progs-7.4.1 [7.4] 1,336 kB
[ebuild     U ] media-libs/netpbm-10.46.00 [10.44.00-r1] USE="X%* jpeg jpeg2k png tiff xml zlib -jbig -rle -svga" 1,854 kB
[ebuild     U ] dev-libs/glib-2.20.1-r1 [2.18.4-r1] USE="fam -debug -doc -hardened (-selinux) -xattr" 4,884 kB
[ebuild     U ] x11-libs/pango-1.24.1 [1.22.4] USE="X -debug -doc" 1,491 kB
[ebuild     U ] dev-libs/atk-1.26.0 [1.24.0] USE="-debug -doc" 703 kB
[ebuild     U ] sys-auth/consolekit-0.3.0-r1 [0.3.0] USE="pam -debug -doc -policykit" 0 kB
[ebuild     U ] dev-dotnet/libgdiplus-2.4 [2.2] USE="(-pango)" 1,988 kB
[ebuild  N    ] sys-auth/policykit-0.9-r1  USE="bash-completion pam zsh-completion -doc (-selinux)" 1,225 kB
[ebuild     U ] app-admin/webmin-1.470 [1.441] USE="pam ssl -apache2 -minimal -mysql -postgres" 13,776 kB
[ebuild     U ] media-plugins/gst-plugins-dvdread-0.10.11 [0.10.10] 0 kB
[ebuild     U ] media-plugins/gst-plugins-x-0.10.22 [0.10.21] 0 kB
[ebuild     U ] media-plugins/gst-plugins-theora-0.10.22 [0.10.21] 0 kB
[ebuild     U ] media-plugins/gst-plugins-xvideo-0.10.22 [0.10.21] 0 kB
[ebuild     U ] media-libs/gst-plugins-ugly-0.10.11 [0.10.10] USE="-debug" 0 kB
[ebuild     U ] media-plugins/gst-plugins-alsa-0.10.22 [0.10.21] 0 kB
[ebuild     U ] media-plugins/gst-plugins-a52dec-0.10.11 [0.10.10] 0 kB
[ebuild     U ] media-plugins/gst-plugins-esd-0.10.14 [0.10.11] 0 kB
[ebuild     U ] x11-libs/qt-core-4.5.1 [4.5.0] USE="glib iconv qt3support ssl -custom-cxxflags -debug -doc -pch" 111,980 kB
[ebuild     U ] x11-libs/qt-dbus-4.5.1 [4.5.0] USE="-custom-cxxflags -debug -pch" 0 kB
[ebuild     U ] x11-libs/qt-sql-4.5.1 [4.5.0] USE="iconv qt3support sqlite -custom-cxxflags -debug -firebird -mysql -odbc -pch -postgres" 0 kB
[ebuild     U ] x11-libs/qt-script-4.5.1 [4.5.0] USE="iconv -custom-cxxflags -debug -pch" 0 kB
[ebuild     U ] x11-libs/qt-test-4.5.1 [4.5.0] USE="iconv -custom-cxxflags -debug -pch" 0 kB
[ebuild     U ] x11-libs/qt-xmlpatterns-4.5.1 [4.5.0] USE="-custom-cxxflags -debug -pch" 0 kB
[ebuild     U ] x11-libs/qt-gui-4.5.1 [4.5.0-r1] USE="accessibility cups dbus glib gtkstyle nas qt3support tiff xinerama -custom-cxxflags -debug -mng -nis -pch -raster" 0 kB
[ebuild     U ] x11-libs/qt-qt3support-4.5.1 [4.5.0] USE="accessibility -custom-cxxflags -debug -pch -phonon" 0 kB
[ebuild     U ] x11-libs/qt-opengl-4.5.1 [4.5.0] USE="qt3support -custom-cxxflags -debug -pch" 0 kB
[ebuild     U ] dev-util/cmake-2.6.4 [2.6.3-r1] USE="qt4 -emacs -vim-syntax" 3,209 kB
[ebuild     U ] x11-libs/qt-svg-4.5.1-r1 [4.5.0] USE="iconv -custom-cxxflags -debug -pch" 0 kB
[ebuild     U ] net-wireless/wpa_supplicant-0.6.9 [0.6.4] USE="dbus gnutls qt3 qt4 readline ssl -debug -eap-sim% -madwifi -ps3 -wps% (-gsm%)" 0 kB
[ebuild     U ] dev-python/PyQt4-4.4.4-r4 [4.4.4-r2] USE="X dbus opengl qt3support svg -debug -doc -examples -webkit" 0 kB
[ebuild     U ] app-cdr/cdrkit-1.1.9-r1 [1.1.9] USE="unicode -hfs" 0 kB
[ebuild   R   ] media-libs/openal-1.7.411  USE="alsa -debug -oss -portaudio%" 0 kB
[ebuild     U ] sys-apps/hal-0.5.12_rc1-r3 [0.5.12_rc1] USE="X acpi apm consolekit%* crypt -debug -dell -disk-partition -doc -laptop -policykit% (-selinux)" 5 kB
[ebuild     U ] app-misc/hal-info-20090414 [20090330] 135 kB
[ebuild     U ] sys-apps/pcsc-lite-1.5.3 [1.5.2] USE="hal usb -static (-debug%)" 459 kB
[ebuild     U ] dev-lang/mono-2.4 [2.2-r5] USE="-minimal -moonlight -xen" 24,279 kB
[ebuild     U ] virtual/monodoc-2.4 [2.2] 0 kB
[ebuild     U ] net-dns/libidn-1.14 [1.13] USE="java mono nls -doc -emacs" 2,519 kB
[ebuild     U ] net-im/jabberd2-2.2.8 [2.2.5] USE="berkdb ldap pam ssl zlib -debug -memdebug -mysql -postgres -sqlite" 618 kB
[ebuild  N    ] dev-libs/poppler-0.10.6  USE="abiword poppler-data" 1,492 kB
[ebuild  N    ] app-text/poppler-utils-0.10.6  USE="abiword" 0 kB
[ebuild     U ] virtual/poppler-0.10.6 [0.10.5] 0 kB
[ebuild     U ] virtual/poppler-utils-0.10.6 [0.10.5] USE="abiword" 0 kB
[ebuild     U ] media-sound/mpg123-1.7.3 [1.7.2] USE="alsa arts esd ipv6 mmx nas sdl sse -3dnow -3dnowext (-altivec) -jack -network -oss -portaudio -pulseaudio" 1,126 kB
[ebuild     U ] media-plugins/gst-plugins-ffmpeg-0.10.7 [0.10.6] 8,016 kB
[ebuild     U ] media-plugins/gst-plugins-mpeg2dec-0.10.11 [0.10.10] 0 kB
[ebuild     U ] media-video/transcode-1.1.2 [1.1.1-r4] USE="X a52 aac alsa dv dvd iconv jpeg lzo mmx mp3 ogg quicktime sdl sse sse2 theora truetype v4l2 vorbis xml xvid -3dnow (-altivec) -imagemagick -mjpeg -nuv -oss -postproc -x264" 0 kB
[ebuild   R   ] media-plugins/gst-plugins-meta-0.10-r2  USE="X a52* alsa dvd esd ffmpeg flac mad mpeg ogg theora vorbis xv -dvb -mythtv -oss" 0 kB
[ebuild     U ] gnome-base/gnome-menus-2.26.1 [2.24.2] USE="python -debug" 451 kB
[ebuild     U ] sys-auth/pambase-20090430 [20081028-r1] USE="consolekit* cracklib gnome-keyring sha512 -debug -mktemp -passwdqc (-selinux) -ssh" 3 kB
[ebuild     U ] sys-apps/shadow-4.1.3.1 [4.1.3] USE="cracklib nls pam -audit (-selinux) -skey" 1,661 kB
[ebuild     U ] x11-libs/qt-webkit-4.5.1 [4.5.0] USE="-custom-cxxflags -debug -pch" 0 kB
[ebuild     U ] x11-libs/qt-assistant-4.5.1 [4.5.0-r1] USE="-custom-cxxflags -debug -pch" 0 kB
[ebuild     U ] x11-libs/qt-4.5.1 [4.5.0] USE="dbus opengl qt3support" 0 kB
[ebuild     U ] media-video/x264-encoder-0.0.20090502 [0.0.20081218] USE="mp4 threads -debug" 0 kB
[ebuild     U ] x11-libs/gtk+-2.16.1 [2.14.7-r2] USE="X cups jpeg jpeg2k tiff xinerama -debug -doc -vim-syntax" 17,869 kB
[ebuild     U ] gnome-base/gconf-2.26.0 [2.24.0] USE="ldap -debug -doc -policykit%" 1,456 kB
[ebuild     U ] net-dns/avahi-0.6.25 [0.6.24-r2] USE="autoipd* bookmarks dbus gdbm gtk ipv6 mdnsresponder-compat mono python qt3 qt4 -doc -howl-compat -test" 1,078 kB
[ebuild     U ] dev-python/gnome-python-base-2.26.1 [2.22.3] USE="-debug" 511 kB
[ebuild     U ] net-libs/xulrunner-1.9.0.10 [1.9.0.8] USE="dbus java startup-notification -custom-optimization -gnome" 33,374 kB
[ebuild     U ] gnome-base/libgnomecanvas-2.26.0 [2.20.1.1] USE="X -debug -doc" 587 kB
[ebuild     U ] x11-libs/wxGTK-2.8.9.2-r1 [2.8.9.2] USE="X opengl sdl -debug -doc -gnome -gstreamer -odbc -pch" 0 kB
[ebuild  N    ] dev-libs/poppler-glib-0.10.6  USE="cairo" 0 kB
[ebuild     U ] x11-libs/libwnck-2.26.1 [2.24.2] USE="-debug -doc" 695 kB
[ebuild   R   ] mail-client/mozilla-thunderbird-2.0.0.21  USE="bindist crypt ipv6 ldap xinerama -debug -gnome -mozdom -moznopango -replytolist (-xprint%)" LINGUAS="-af -be -bg -ca -cs -da -de -el -en -en_GB -en_US -es -es_AR -es_ES -eu -fi -fr -ga -ga_IE -he -hu -it -ja -ko -lt -mk -nb -nb_NO -nl -nn -nn_NO -pa -pa_IN -pl -pt -pt_BR -pt_PT -ru -sk -sl -sv -sv_SE -tr -uk -zh -zh_CN -zh_TW" 30 kB
[ebuild   R   ] net-libs/xulrunner-1.8.1.19  USE="ipv6 java xinerama -debug -gnome (-xprint%)" 0 kB
[ebuild  N    ] gnome-extra/zenity-2.26.0  USE="libnotify -debug" 2,397 kB
[ebuild     U ] app-text/poppler-bindings-0.10.5-r1 [0.10.5] USE="cairo gtk qt3 qt4 -test" 0 kB
[blocks b     ] dev-libs/poppler ("dev-libs/poppler" is blocking app-text/poppler-bindings-0.10.5-r1, app-text/poppler-0.10.5, app-text/poppler-bindings-0.10.5, app-text/poppler-0.10.5-r1)
[blocks b     ] app-text/poppler-utils ("app-text/poppler-utils" is blocking app-text/poppler-bindings-0.10.5-r1, app-text/poppler-0.10.5, app-text/poppler-bindings-0.10.5, app-text/poppler-0.10.5-r1)
[blocks b     ] dev-libs/poppler-glib ("dev-libs/poppler-glib" is blocking app-text/poppler-bindings-0.10.5-r1, app-text/poppler-0.10.5, app-text/poppler-bindings-0.10.5, app-text/poppler-0.10.5-r1)
[ebuild     U ] x11-misc/xscreensaver-5.08-r2 [5.08] USE="jpeg opengl pam xinerama -new-login -suid" 0 kB
[ebuild     U ] gnome-base/gnome-keyring-2.26.1 [2.22.3-r1] USE="X%* hal pam -debug -doc -test" 2,675 kB
[ebuild     U ] net-misc/networkmanager-0.7.1-r2 [0.6.6] USE="avahi%* gnutls%* nss%* -connection-sharing% -dhclient% -dhcpcd% -doc -resolvconf% (-crypt%*) (-debug%) (-gnome%)" 1,199 kB
[ebuild     U ] gnome-extra/libgsf-1.14.12 [1.14.11] USE="bzip2 gnome python -debug -doc" 582 kB
[ebuild     U ] dev-python/libgnomecanvas-python-2.26.1 [2.22.3] USE="-debug -examples" 0 kB
[ebuild     U ] dev-python/gnome-vfs-python-2.26.1 [2.22.3] USE="-debug -doc -examples" 0 kB
[ebuild     U ] virtual/poppler-glib-0.10.6 [0.10.5] USE="cairo" 0 kB
[ebuild     U ] x11-misc/notification-daemon-0.4.0-r1 [0.4.0] USE="-debug -gstreamer" 0 kB
[ebuild     U ] x11-wm/metacity-2.26.0 [2.24.0-r2] USE="xinerama -debug -test%" 2,237 kB
[ebuild     U ] net-ftp/filezilla-3.2.4.1-r1 [3.2.3.1] USE="dbus -test" 2,845 kB
[ebuild     U ] www-client/mozilla-firefox-3.0.10 [3.0.8] USE="bindist dbus java startup-notification xulrunner -custom-optimization -gnome -iceweasel -mozdevelop -restrict-javascript" LINGUAS="-af -ar -be -bg -bn -bn_IN -ca -cs -cy -da -de -el -en -en_GB -en_US -eo -es -es_AR -es_ES -et -eu -fi -fr -fy -fy_NL -ga -ga_IE -gl -gu -gu_IN -he -hi -hi_IN -hu -id -is -it -ja -ka -kn -ko -ku -lt -lv -mk -mn -mr -nb -nb_NO -nl -nn -nn_NO -oc -pa -pa_IN -pl -pt -pt_BR -pt_PT -ro -ru -si -sk -sl -sq -sr -sv -sv_SE -te -th -tr -uk -zh -zh_CN -zh_TW" 11,391 kB
[ebuild     U ] gnome-base/librsvg-2.26.0 [2.22.3] USE="zlib -debug -doc" 467 kB
[ebuild     U ] dev-python/libbonobo-python-2.26.1 [2.22.3] USE="-debug -examples" 0 kB
[ebuild  N    ] net-libs/libproxy-0.2.3  USE="kde networkmanager python xulrunner -gnome -webkit" 370 kB
[ebuild     U ] net-im/pidgin-2.5.5-r1 [2.5.5] USE="dbus gadu gnutls ncurses networkmanager nls perl prediction spell tk -bonjour -debug -doc -eds -groupwise -gstreamer -gtk -meanwhile -qq -sasl -silc -tcl -zephyr" 0 kB
[ebuild     U ] net-libs/libsoup-2.26.1 [2.24.3] USE="gnome%* ssl -debug -doc" 720 kB
[ebuild     U ] x11-wm/compiz-0.8.2-r1 [0.8.2] USE="cairo dbus kde svg -fuse -gnome -gtk -kde4" 0 kB
[ebuild     U ] media-video/vlc-0.9.9a-r1 [0.9.9a] USE="X a52 aac aalib alsa arts avahi cddb cdio dbus dirac dts dvd esd fbcon ffmpeg flac fontconfig ggi gnutls hal id3tag libcaca libgcrypt libnotify mmx mp3 mpeg musepack ncurses nsplugin ogg opengl pda png qt4 samba schroedinger sdl shout sse svg theora truetype twolame v4l v4l2 vorbis win32codecs xinerama xml xv (-altivec) -atmo -bidi -cdda -cddax -dc1394 -debug -directfb -dvb -fluidsynth -gnome -httpd -jack -kate -libass -libsysfs -libv4l2 -lirc -live -lua -matroska -modplug -optimisememory -oss -pulseaudio -pvr -remoteosd -rtsp -run-as-root -sdl-image -seamonkey -skins -speex -stream -svga -taglib -upnp -vcdinfo -vcdx -vlm -x264 -xosd -zvbi" 6 kB
[ebuild     U ] gnome-extra/gtkhtml-3.26.1.1 [3.24.5] USE="-debug -glade%" 1,464 kB
[ebuild     U ] net-print/cups-1.3.10-r1 [1.3.9-r1] USE="X acl avahi dbus gnutls java jpeg ldap pam perl png ppds python samba slp ssl tiff xinetd zeroconf -kerberos -php -static" LINGUAS="-de -en -es -et -fr -he -id -it -ja -pl -sv -zh_TW" 3,691 kB
[ebuild     U ] app-text/ghostscript-gpl-8.64-r3 [8.64-r2] USE="X bindist cairo cups jpeg2k -cjk -djvu -gtk" 12 kB
[ebuild     U ] kde-base/kdelibs-3.5.10-r3 [3.5.10-r2] USE="acl alsa arts avahi bindist branding cups fam jpeg2k kdehiddenvisibility openexr spell tiff -debug -doc -kerberos -legacyssl -lua -utempter" 0 kB
[ebuild   R   ] app-office/openoffice-3.0.1  USE="cups dbus java kde ldap nsplugin opengl pam templates -binfilter -debug -eds -gnome -gstreamer -gtk (-mono*) -odk" LINGUAS="-af -ar -as_IN -be_BY -bg -bn -br -bs -ca -cs -cy -da -de -dz -el -en -en_GB -en_US -en_ZA -eo -es -et -fa -fi -fr -ga -gl -gu -he -hi_IN -hr -hu -it -ja -ka -kk -km -ko -ku -lt -lv -mk -ml_IN -mn -mr_IN -nb -ne -nl -nn -nr -ns -or_IN -pa_IN -pl -pt -pt_BR -ru -rw -sh -sk -sl -sr -ss -st -sv -sw_TZ -ta -te_IN -tg -th -ti_ER -tn -tr -ts -uk -ur_IN -ve -vi -xh -zh_CN -zh_TW -zu" 0 kB
[ebuild     U ] gnome-base/gnome-desktop-2.26.1 [2.24.3] USE="-debug -doc" 3,153 kB
[ebuild  N    ] net-wireless/bluez-4.38  USE="alsa cups usb -debug -doc -gstreamer -old-daemons -test-programs" 974 kB
[uninstall    ] net-wireless/bluez-utils-3.36  USE="alsa cups gstreamer usb -debug -examples -old-daemons -test-programs"
[blocks b     ] net-wireless/bluez-utils ("net-wireless/bluez-utils" is blocking net-wireless/bluez-4.38)
[ebuild     U ] gnome-base/gvfs-1.2.2 [1.0.3-r2] USE="avahi bash-completion bluetooth gnome-keyring gphoto2 hal samba -archive -cdda -debug -doc -fuse -gnome" 1,025 kB
[ebuild     U ] gnome-base/libgnome-2.26.0 [2.24.1] USE="branding%* esd -debug -doc" 1,381 kB
[ebuild     U ] dev-python/libgnome-python-2.26.1 [2.22.3] USE="-debug -examples" 0 kB
[ebuild     U ] app-office/glabels-2.2.5 [2.2.4] USE="-doc -eds (-debug%)" 1,996 kB
[blocks B     ] app-text/poppler-utils ("app-text/poppler-utils" is blocking app-text/poppler-bindings-0.10.5-r1, app-text/poppler-0.10.5, app-text/poppler-bindings-0.10.5, app-text/poppler-0.10.5-r1)
[blocks B     ] app-text/poppler-bindings ("app-text/poppler-bindings" is blocking dev-libs/poppler-glib-0.10.6, dev-libs/poppler-0.10.6, app-text/poppler-utils-0.10.6)
[blocks B     ] dev-libs/poppler-glib ("dev-libs/poppler-glib" is blocking app-text/poppler-bindings-0.10.5-r1, app-text/poppler-0.10.5, app-text/poppler-bindings-0.10.5, app-text/poppler-0.10.5-r1)
[blocks B     ] app-text/poppler ("app-text/poppler" is blocking dev-libs/poppler-glib-0.10.6, dev-libs/poppler-0.10.6, app-text/poppler-utils-0.10.6)
[blocks B     ] net-wireless/bluez ("net-wireless/bluez" is blocking net-wireless/bluez-libs-3.36)
[blocks B     ] dev-libs/poppler ("dev-libs/poppler" is blocking app-text/poppler-bindings-0.10.5-r1, app-text/poppler-0.10.5, app-text/poppler-bindings-0.10.5, app-text/poppler-0.10.5-r1)
[blocks B     ] net-wireless/bluez-libs ("net-wireless/bluez-libs" is blocking net-wireless/bluez-4.38)

Total: 190 packages (164 upgrades, 2 downgrades, 16 new, 1 in new slot, 7 reinstalls, 1 uninstall), Size of downloads: 393,107 kB
Conflict: 11 blocks (7 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'app-text/poppler-utils-0.10.6', 'merge') pulled in by
    ~app-text/poppler-utils-0.10.6[abiword] required by ('installed', '/', 'app-misc/tracker-0.6.6-r1', 'nomerge')
    ~app-text/poppler-utils-0.10.6[abiword] required by ('ebuild', '/', 'virtual/poppler-utils-0.10.6', 'merge')
    ~app-text/poppler-utils-0.10.6[abiword] required by ('ebuild', '/', 'net-print/cups-1.3.10-r1', 'merge')

  ('ebuild', '/', 'dev-libs/poppler-0.10.6', 'merge') pulled in by
    ~dev-libs/poppler-0.10.6 required by ('ebuild', '/', 'app-office/openoffice-3.0.1', 'merge')
    ~dev-libs/poppler-0.10.6 required by ('ebuild', '/', 'virtual/poppler-0.10.6', 'merge')
    ~dev-libs/poppler-0.10.6 required by ('installed', '/', 'dev-tex/luatex-0.30.3', 'nomerge')
    (and 2 more)

  ('ebuild', '/', 'dev-libs/poppler-glib-0.10.6', 'merge') pulled in by
    ~dev-libs/poppler-glib-0.10.6[cairo] required by ('installed', '/', 'app-misc/tracker-0.6.6-r1', 'nomerge')
    ~dev-libs/poppler-glib-0.10.6[cairo] required by ('ebuild', '/', 'virtual/poppler-glib-0.10.6', 'merge')
    ~dev-libs/poppler-glib-0.10.6[cairo] required by ('installed', '/', 'media-gfx/gimp-2.6.6', 'nomerge')

  ('ebuild', '/', 'net-wireless/bluez-4.38', 'merge') pulled in by
    net-wireless/bluez required by ('ebuild', '/', 'gnome-base/gvfs-1.2.2', 'merge')

  ('installed', '/', 'net-wireless/bluez-libs-3.36', 'nomerge') pulled in by
    net-wireless/bluez-libs required by ('installed', '/', 'net-libs/libpcap-1.0.0-r1', 'nomerge')
    >=net-wireless/bluez-libs-2.25 required by ('installed', '/', 'app-mobilephone/gnokii-0.6.27-r2', 'nomerge')

  ('ebuild', '/', 'app-text/poppler-bindings-0.10.5-r1', 'merge') pulled in by
    app-text/poppler-bindings required by @world

_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.org


Last edited by audiodef on Wed May 13, 2009 12:45 pm; edited 1 time in total
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5263

PostPosted: Mon May 11, 2009 1:24 am    Post subject: Reply with quote

More poking around on this...

Code:

emerge -pv poppler-glib

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] dev-libs/poppler-0.10.6  USE="abiword poppler-data" 1,492 kB
[ebuild  N    ] dev-libs/poppler-glib-0.10.6  USE="cairo" 0 kB
[ebuild     U ] virtual/poppler-glib-0.10.6 [0.10.5] USE="cairo" 0 kB
[blocks B     ] app-text/poppler ("app-text/poppler" is blocking dev-libs/poppler-glib-0.10.6, dev-libs/poppler-0.10.6)
[blocks B     ] dev-libs/poppler ("dev-libs/poppler" is blocking app-text/poppler-bindings-0.10.5-r1, app-text/poppler-0.10.5-r1)
[blocks B     ] app-text/poppler-bindings ("app-text/poppler-bindings" is blocking dev-libs/poppler-glib-0.10.6, dev-libs/poppler-0.10.6)
[blocks B     ] dev-libs/poppler-glib ("dev-libs/poppler-glib" is blocking app-text/poppler-bindings-0.10.5-r1, app-text/poppler-0.10.5-r1)

Total: 3 packages (1 upgrade, 2 new), Size of downloads: 1,492 kB
Conflict: 4 blocks (4 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'dev-libs/poppler-glib-0.10.6', 'merge') pulled in by
    ~dev-libs/poppler-glib-0.10.6[cairo] required by ('ebuild', '/', 'virtual/poppler-glib-0.10.6', 'merge')

  ('installed', '/', 'app-text/poppler-bindings-0.10.5-r1', 'nomerge') pulled in by
    app-text/poppler-bindings required by @world

  ('installed', '/', 'app-text/poppler-0.10.5-r1', 'nomerge') pulled in by
    app-text/poppler required by @world

_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.org
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5263

PostPosted: Mon May 11, 2009 1:36 am    Post subject: Reply with quote

Forgot to post my emerge --info:

Code:

Portage 2.2_rc33 (default/linux/x86/2008.0/desktop, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.28-gentoo-r2 i686)
=================================================================
System uname: Linux-2.6.28-gentoo-r2-i686-Intel-R-_Core-TM-2_Duo_CPU_T5250_@_1.50GHz-with-gentoo-2.0.0
Timestamp of tree: Sun, 10 May 2009 23:45:02 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p17-r1
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.4.4-r15, 2.5.4-r2, 2.6.1-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.3-r1
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r1
sys-apps/sandbox:    1.9
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/conf.d/hostname /etc/hosts /etc/issue /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg ccache distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.chem.wisc.edu/gentoo http://adelie.polymtl.ca/ http://gentoo.arcticnetwork.ca/source/ http://gentoo.mirrors.tera-byte.com/ http://mirror.csclub.uwaterloo.ca/gentoo-distfiles/ "
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync21.us.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acl acpi addbookmarks afs aim alias alsa amr amrnb amrwb apm arts aspell atm autoreplace avahi bash-completion beagle berkdb bindist bl bluetooth bookmarks branding bzip2 cairo cdaudio cddb cdio cdparanoia cdr cdrom cgi clamav clamd cleartype cli connectionstatus consolekit contactnotes cpudetection cracklib crypt css cups curl custom-cpuopts cvs cxx daap dbus dga dhcp dirac dri dts dv dvd dvdr dvdread embedded emboss emerald encode esd exif fam fbcon fbcondecor fbdev ffmpeg flac flash fltk font-server fontconfig fortran freesound ftp gadu galago gdbm gecko ggi gif gimp glitz glsa gnome-keyring gnome-print gnomecd gnutls gpac gphoto2 gpm grub gtkhtml guile hal highlight history htmlhandbook hunspell icons iconv icq id3 id3tag ieee1394 ifp inotify inquisitio iproute2 ipv6 irc isdnlog jai java jce jpeg jpeg2k kde kdeenablefinal kdehiddenvisibility kdeprefix kdm kipi kqemu ladspa lame latex lcms ldap libcaca libgcrypt libnotify libsamplerate lm_sensors login-watch lzo mad mbox md5sum mdnsresponder-compat messenger midi mikmod mmx mono mounts-check mp2 mp3 mp3rtp mp3tunes mp4 mp4live mpeg mplayer msn mtp mudflap musepack musicbrainz nas nautilus ncurses nemesi netmeeting networking networkmanager njb nls nntp nowlistening npp nptlonly nsplugin nss ntlm offensive ogg openal openexr opengl openmp pam passwordsave pcmcia pcre pda pdf perl pink pixmaps pkcs11 pmu png portage ppds pppd prediction prelude profile python qa qt-static qt3 qt3support qt4 quicktime rar readline realmedia reflection rtc ruby samba sametime scanner schroedinger sdl sensord session shout slp smbkrb5passwd sms sndfile soundtouch sox spell spl srt sse sse2 ssl ssse3 startup-notification statistics subject-rewrite subversion suidcheck svg sysfs tagwriting tcpd teletext templates texteffect tga theora threads tiff timidity tk tracker transcode translator truetype twolame unicode unsupported usb userfiles v4l v4l2 vamp vcd video vidix visibility visualization vorbis wav wavpack webdav webpresence win32codecs winbind winpopup wma wxwindows x86 xanim xcb xcomposite xft xine xinerama xinetd xml xorg xpm xscreensaver xulrunner xv xvid xvmc yahoo yv12 zeroconf zlib zsh-completion" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="*" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="intel fbdev"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


This isn't the first poppler pooper I've run into. Seriously considering filing a critical bug with this package.
_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.org
Back to top
View user's profile Send private message
Arfrever
Bodhisattva
Bodhisattva


Joined: 29 Apr 2006
Posts: 2460
Location: Polska / Lenkija

PostPosted: Mon May 11, 2009 11:06 am    Post subject: Reply with quote

audiodef wrote:
Code:
  ('installed', '/', 'app-text/poppler-bindings-0.10.5-r1', 'nomerge') pulled in by
    app-text/poppler-bindings required by @world

  ('installed', '/', 'app-text/poppler-0.10.5-r1', 'nomerge') pulled in by
    app-text/poppler required by @world


app-text/poppler and app-text/poppler-bindings shouldn't be included in @world set.
Try:
Code:
emerge -C app-text/poppler app-text/poppler-bindings
emerge -uDN @system @world
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5263

PostPosted: Tue May 12, 2009 12:16 pm    Post subject: Reply with quote

I've already updated poppler by itself. I'm not at this system right now, but I think poppler-bindings would not update on its own and brought in these blockers.

Even if @world doesn't pull in poppler by itself, something else requiring a later version of poppler will, which is what I imagine happened here, and which is why I've included the entire list of my @world update, for troubleshooting.
_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.org
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5575

PostPosted: Tue May 12, 2009 4:44 pm    Post subject: Reply with quote

app-text/poppler-bindings was split, you have to unmerge it,
then the correct dep will be pulled (most probably just dev-libs/poppler-glib,
unless you do need other).
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5263

PostPosted: Wed May 13, 2009 12:37 pm    Post subject: Reply with quote

Yikes. Here's an example of where the poppler devs and the gentoo devs need to get together and make sure Portage spits out a warning about this!
_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.org
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5263

PostPosted: Wed May 13, 2009 12:45 pm    Post subject: Reply with quote

Here's the final scoop, for anyone else having this problem: I had to unmerge poppler. I don't know if this alone is enough; I first unmerged poppler-bindings, and when that didn't solve the problem, I unmerged poppler. After unmerging poppler, the blockers were removed and world update could proceed. It pulls in poppler again, of course, but at least all is well.
_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.org
Back to top
View user's profile Send private message
loki_val
Retired Dev
Retired Dev


Joined: 13 Nov 2006
Posts: 402
Location: Denmark

PostPosted: Wed May 13, 2009 3:08 pm    Post subject: Reply with quote

See this post for more info
In short: As long as you have been using --oneshot to emerge library packages, portage should resolve this block. If not, not. Solution then is to do
Code:
emerge -C app-text/poppler app-text/poppler-bindings
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5263

PostPosted: Fri May 15, 2009 11:12 pm    Post subject: Reply with quote

But this means everyone would have to have knowledge the devs have. Most of us wouldn't know we'd have to have been using --oneshot for lib packages from the beginning.

loki_val wrote:
See this post for more info
In short: As long as you have been using --oneshot to emerge library packages, portage should resolve this block. If not, not. Solution then is to do
Code:
emerge -C app-text/poppler app-text/poppler-bindings

_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.org
Back to top
View user's profile Send private message
Aad-Jan
n00b
n00b


Joined: 02 Feb 2006
Posts: 16
Location: Utrecht - The Netherlands

PostPosted: Fri Jun 12, 2009 7:04 am    Post subject: Blocks Reply with quote

Thank you. Nice bit of research. Saved me time finding out myself. :P
_________________
“Those who surrender freedom for security will not have, nor do they deserve, either one.”

― Benjamin Franklin
Back to top
View user's profile Send private message
techuser
Tux's lil' helper
Tux's lil' helper


Joined: 31 Mar 2007
Posts: 82

PostPosted: Fri Jun 12, 2009 9:47 am    Post subject: not solved Reply with quote

I have 2 computers with gentoo, but the problem only is solved in one of them with
"emerge -C app-text/poppler app-text/poppler-bindings"
In the other computer still has blocks!:


emerge -auDN world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild N ] app-text/poppler-0.10.5-r1 USE="-doc"
[ebuild N ] app-text/poppler-utils-0.10.7 USE="abiword"
[ebuild N ] virtual/poppler-0.10.7
[ebuild N ] virtual/poppler-utils-0.10.7 USE="abiword"
[ebuild N ] virtual/poppler-glib-0.10.7 USE="cairo"
[ebuild N ] app-text/poppler-bindings-0.10.5-r1 USE="cairo gtk qt4 -qt3 -test"
[ebuild N ] dev-python/qscintilla-python-2.3.2 USE="qt4"
[ebuild U ] kde-base/kdelibs-4.2.4-r1 [4.2.4]
[blocks B ] app-text/poppler ("app-text/poppler" is blocking dev-libs/poppler-glib-0.10.7, dev-libs/poppler-0.10.7, app-text/poppler-utils-0.10.7)
[blocks B ] dev-libs/poppler ("dev-libs/poppler" is blocking app-text/poppler-bindings-0.10.5-r1, app-text/poppler-0.10.5-r1)
[blocks B ] app-text/poppler-utils ("app-text/poppler-utils" is blocking app-text/poppler-bindings-0.10.5-r1, app-text/poppler-0.10.5-r1)
[blocks B ] app-text/poppler-bindings ("app-text/poppler-bindings" is blocking dev-libs/poppler-glib-0.10.7, dev-libs/poppler-0.10.7, app-text/poppler-utils-0.10.7)
[blocks B ] dev-libs/poppler-glib ("dev-libs/poppler-glib" is blocking app-text/poppler-bindings-0.10.5-r1, app-text/poppler-0.10.5-r1)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

('ebuild', '/', 'app-text/poppler-0.10.5-r1', 'merge') pulled in by
~app-text/poppler-0.10.5 required by ('ebuild', '/', 'app-text/poppler-bindings-0.10.5-r1', 'merge')
>=app-text/poppler-0.8.5 required by ('installed', '/', 'kde-base/okular-4.2.0-r1', 'nomerge')

('installed', '/', 'dev-libs/poppler-glib-0.10.7', 'nomerge') pulled in by
dev-libs/poppler-glib required by world
~dev-libs/poppler-glib-0.10.7[cairo] required by ('installed', '/', 'media-gfx/gimp-2.6.4', 'nomerge')
~dev-libs/poppler-glib-0.10.7[cairo] required by ('ebuild', '/', 'virtual/poppler-glib-0.10.7', 'merge')
(and 2 more)

('installed', '/', 'dev-libs/poppler-0.10.7', 'nomerge') pulled in by
~dev-libs/poppler-0.10.7 required by ('ebuild', '/', 'virtual/poppler-0.10.7', 'merge')
~dev-libs/poppler-0.10.7 required by ('installed', '/', 'app-text/xpdf-3.02-r2', 'nomerge')
~dev-libs/poppler-0.10.7 required by ('installed', '/', 'app-office/openoffice-3.0.0', 'nomerge')
(and 2 more)

('ebuild', '/', 'app-text/poppler-utils-0.10.7', 'merge') pulled in by
~app-text/poppler-utils-0.10.7[abiword] required by ('ebuild', '/', 'virtual/poppler-utils-0.10.7', 'merge')
~app-text/poppler-utils-0.10.7[abiword] required by ('installed', '/', 'net-print/cups-1.3.10-r1', 'nomerge')
~app-text/poppler-utils-0.10.7[abiword] required by ('installed', '/', 'app-misc/strigi-0.6.5', 'nomerge')

('ebuild', '/', 'app-text/poppler-bindings-0.10.5-r1', 'merge') pulled in by
>=app-text/poppler-bindings-0.8.5[qt4] required by ('installed', '/', 'kde-base/okular-4.2.0-r1', 'nomerge')


any ideas?
thanx!
Back to top
View user's profile Send private message
techuser
Tux's lil' helper
Tux's lil' helper


Joined: 31 Mar 2007
Posts: 82

PostPosted: Fri Jun 12, 2009 11:31 am    Post subject: [solved] Reply with quote

solved upgrading to kde-base/okular-4.2.3:

autounmask kde-base/okular-4.2.3
emerge -av okular
emerge -auDN world


no there are no blocks, only a little problem :

* Messages for package dev-python/qscintilla-python-2.3.2:

*
* ERROR: dev-python/qscintilla-python-2.3.2 failed.
* Call stack:
* ebuild.sh, line 49: Called src_compile
* environment, line 2446: Called die
* The specific snippet of code:
* emake || die "emake failed"
* The die message:
* emake failed
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/dev-python/qscintilla-python-2.3.2/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/dev-python/qscintilla-python-2.3.2/temp/environment'.
*

* GNU info directory index is up-to-date.
$$>> emerge -auDN world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild N ] dev-python/qscintilla-python-2.3.2 USE="qt4"

qscintilla-python is not compiling , bt that is an offtopic..
thanks!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum